package org.springblade;

import org.springblade.core.boot.core.PlatomixApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableFeignClients
@SpringBootApplication
@EnableScheduling
public class NoCodeApplication {

	public static void main(String[] args) {
		PlatomixApplication.run(NoCodeApplication.class, args);
	}
}
