package org.springblade.model.dto;

import lombok.Data;

import java.util.List;

/**
 * 
 * @author William
 * @date 2022年12月13日 下午5:20:16
 */
@Data
public class VisualdevDataDto {
	/**
	 * 表单本次提交的数据
	 */
	private String data;

	/**
	 * 表单id
	 */
	private String id;
	
	/**
	 * 表单原有的旧数据
	 */
	private String oldData;
	/**
	 * 序列号
	 */
	private String _serialNumber;
	/**
	 * 序列号配置
	 *     "_serialNumberConfig":[
	 *   {
	 *     "type": "fixedChars",
	 *     "chars": "%s"
	 *   },
	 *   {
	 *     "chars": "2024-01-24 11:36:48",
	 *     "type": "createTime"
	 *   },
	 *   {
	 *     "type": "incNumber",
	 *     "digitsNum": 5,
	 *     "fixedLength": true,
	 *     "resetDuration": "none",
	 *     "startValue": 1,
	 *     "chars": "5位数字,不自动重置"
	 *   },
	 *   {
	 *     "type": "widget",
	 *     "chars": "订单总额"
	 *   }
	 * ]
	 */
	private List<Object> _serialNumberConfig;

}
