package org.springblade.model.po;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 字典分类
 * 
 * @author William
 * @date 2022年12月13日 下午7:00:48
 */
@Data
@TableName("base_dictionarytype")
public class DictionaryTypeEntity {
    /**
     * 主键
     */
    @TableId(value="F_Id",type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 上级
     */
    @TableField("F_ParentId")
    private String parentId;

    /**
     * 名称
     */
    @TableField("F_FullName")
    private String fullName;

    /**
     * 编码
     */
    @TableField("F_EnCode")
    private String enCode;

    /**
     * 树形
     */
    @TableField("F_IsTree")
    private Integer isTree;

    /**
     * 描述
     */
    @TableField("F_Description")
    private String description;

    /**
     * 排序码
     */
    @TableField("F_SortCode")
    private Long sortCode;

    /**
     * 有效标志
     */
    @TableField("F_EnabledMark")
    private Integer enabledMark;


    /**
     * 创建时间
     */
    @TableField(value = "F_CreatorTime")
    private Date creatorTime;

    /**
     * 创建用户
     */
    @TableField(value = "F_CreatorUserId")
    private String creatorUserId;

    /**
     * 修改时间
     */
    @TableField(value = "F_LastModifyTime")
    private Date lastModifyTime;

    /**
     * 修改用户
     */
    @TableField(value = "F_LastModifyUserId")
    private String lastModifyUserId;

    /**
     * 删除标志
     */
    @TableField("F_DeleteMark")
    private Integer deleteMark;

    /**
     * 删除时间
     */
    @TableField("F_DeleteTime")
    private Date deleteTime;

    /**
     * 删除用户
     */
    @TableField("F_DeleteUserId")
    private String deleteUserId;



}
