package org.springblade.model.vo;

import java.util.List;

import com.alibaba.fastjson2.annotation.JSONField;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author William
 * @date 2022年12月30日 上午11:59:41
 */
@Data
public class UserSelectorVO {
    @ApiModelProperty(value = "主键")
    private String id;
    @ApiModelProperty(value = "父主键")
    private String parentId;
    @ApiModelProperty(value = "名称")
    private String fullName;
    @ApiModelProperty(value = "是否有子节点")
    private Boolean hasChildren;
    @ApiModelProperty(value = "状态")
    private Integer enabledMark;
    @ApiModelProperty(value = "子节点")
    private List<UserSelectorVO> children;
    @JSONField(name="category")
    private String type;
    @ApiModelProperty(value = "图标")
    private String icon;
    private Boolean isLeaf;
}
