package org.springblade.model.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.model.po.DictionaryTypeEntity;

import lombok.Data;

/**
 * 数据字典导入导出模板
 * 
 * @author William
 * @date 2022年12月13日 下午7:10:40
 */
@Data
public class DictionaryExportModel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
     * 字典分类
     */
    private List<DictionaryTypeEntity> list;

    /**
     * 数据集合
     */
    private List<DictDataExportModel> modelList;

}
