package org.springblade.model.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @TableName reset_serialnumber
 */
@TableName(value ="reset_serialnumber")
@Data
public class ResetSerialnumber implements Serializable {
    /**
     * 
     */
    @TableId(value = "id")
    private Integer id;

    /**
     * 模型 id
     */
    @TableField(value = "model_id")
    private String modelId;

    /**
     * 重置周期 0 不重置 1年2月3日4分
     */
    @TableField(value = "reset_cycle")
    private Integer resetCycle;
    /**
     * 从几开始
     */
    @TableField(value = "start_value")
    private Integer startValue;
    /**
     * 当前计数
     */
    @TableField(value = "count")
    private Long count;
    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人ID
     */
    @TableField(value = "create_user_id")
    private Long createUserId;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}