package org.springblade.model.vo;

import com.alibaba.fastjson2.annotation.JSONField;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author William
 * @date 2022年12月30日 下午12:27:45
 */
@Data
public class OrganizeDepartInfoVO {
    @ApiModelProperty(value = "主键")
    private String id;
    @ApiModelProperty(value = "父主键")
    private String parentId;
    @ApiModelProperty(value = "名称")
    private String fullName;
    @ApiModelProperty(value = "编码")
    private String enCode;
    @ApiModelProperty(value = "状态")
    private Integer enabledMark;
    @ApiModelProperty(value = "备注")
    private String description;
    @ApiModelProperty(value = "主管id")
    @JSONField(name = "manager")
    private String managerId;
    @ApiModelProperty(value = "排序码")
    private Long sortCode;
}
