package org.springblade.model.vo;

import com.alibaba.fastjson2.annotation.JSONField;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 * @author William
 * @date 2022年12月30日 下午12:23:24
 */
@SuppressWarnings("rawtypes")
@Data
@EqualsAndHashCode(callSuper=false)
public class OrganizeModel extends SumTree {
    private String fullName;
    private String enCode;
    private Long creatorTime;
    private String manager;
    private String description;
    private int enabledMark;
    private String icon;
    @JSONField(name="category")
    private String  type;
    private long sortCode;
}