package org.springblade.model.vo;

import com.alibaba.fastjson2.annotation.JSONField;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 * 
 * @author William
 * @date 2022年12月30日 下午1:57:39
 */
@SuppressWarnings("rawtypes")
@Data
@EqualsAndHashCode(callSuper=false)
public class PosOrgModel extends SumTree {
	private String fullName;
	@ApiModelProperty(value = "状态")
	private Integer enabledMark;
	@JSONField(name = "category")
	private String type;
	@ApiModelProperty(value = "图标")
	private String icon;
}
