package org.springblade.util;

import java.io.Serializable;

import lombok.Data;

/**
 * 元组类
 * 
 * @author：william
 * @date：2022年4月27日
 */
@Data
public class Tuple<K, V> implements Serializable {
	private static final long serialVersionUID = 1L;

	private K k;

	private V v;

	public Tuple(K k, V v) {
		super();
		this.k = k;
		this.v = v;
	}

	public Tuple() {
		super();
	}

	@Override
	public String toString() {
		return getK() + "<=>" + getV();
	}

}
